Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.mappingdmr.model
Interface VMappingdmrPackage.Literals

Enclosing interface:
  VMappingdmrPackage

    public static interface VMappingdmrPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `MAPPING_DOMAIN_MODEL_REFERENCE` The meta object literal for the ' `Mapping Domain Model Reference`' class.
`static org.eclipse.emf.ecore.EReference` | `MAPPING_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_REFERENCE` The meta object literal for the ' Domain Model Reference' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `MAPPING_DOMAIN_MODEL_REFERENCE__MAPPED_CLASS` The meta object literal for the 'Mapped Class' reference feature.

Field Detail

### MAPPING_DOMAIN_MODEL_REFERENCE

    static final org.eclipse.emf.ecore.EClass MAPPING_DOMAIN_MODEL_REFERENCE

  The meta object literal for the ' `Mapping Domain Model Reference`' class.

  See Also:
    `VMappingDomainModelReferenceImpl`, `VMappingdmrPackageImpl.getMappingDomainModelReference()`

### MAPPING_DOMAIN_MODEL_REFERENCE__MAPPED_CLASS

    static final org.eclipse.emf.ecore.EReference MAPPING_DOMAIN_MODEL_REFERENCE__MAPPED_CLASS

  The meta object literal for the 'Mapped Class' reference feature.

### MAPPING_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_REFERENCE

    static final org.eclipse.emf.ecore.EReference MAPPING_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_REFERENCE

  The meta object literal for the ' Domain Model Reference' containment reference feature.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.